<?php

include_once('db.inc.php');

$results = array();

try {
    $dbh = new PDO('mysql:host='.$dbServer.';dbname='.$dbName, $dbUser, $dbPass);
    $dbh->exec('SET CHARACTER SET utf8');
    $notes = $dbh->query('SELECT * FROM notes ORDER BY note_date DESC');
    $dbh = null;
    
    $results['status'] = 'OK';
    $results['notes'] = $notes->fetchAll(PDO::FETCH_ASSOC);
    
    echo json_encode($results);
}
catch (PDOException $e) {
    $results['status'] = 'ERR';
    $results['message'] = 'Ошибка при работе с БД: '.$e->getMessage();
    
    echo json_encode($results);
}

// end of getnotes.php